#!/bin/bash
echo "---$(date +"%Y-%m-%d %H:%M:%S")----Ukui lite General configuration--------" >> /etc/ukui/lite-config/.ukui-lite.log
mkdir -p /etc/ukui/lite-config
CPU_MODEL=`cat /proc/cpuinfo | grep "model name" | sed -n 1p | awk '{ print $NF }'`

# e2000下添加oom测试项
if [ "${CPU_MODEL}" = "Phytium,FT-E2000/Big" ] || [ "${CPU_MODEL}" = "E2000Q" ]; then
    if [ -f /lib/systemd/system/lightdm.service ]; then
		echo "---$(date +"%Y-%m-%d %H:%M:%S")---- e2000下添加oom测试项--------" >> /etc/ukui/lite-config/.ukui-lite.log
		ret=`cat /lib/systemd/system/lightdm.service|grep OOMScoreAdjust`
		if [ "x$ret" = "x" ];then
				sed -i '/^Restart=/ a OOMScoreAdjust=-1000' /lib/systemd/system/lightdm.service
		fi
    fi
fi